Package org.drinkless.tdlib

# Class TdApi.SetChatDirectMessagesGroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetChatDirectMessagesGroup

Enclosing class:
  `TdApi`

public static class TdApi.SetChatDirectMessagesGroup extends TdApi.Function<TdApi.Ok>
Changes direct messages group settings for a channel chat; requires owner privileges in the chat.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the channel chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isEnabled`
  Pass true if the direct messages group is enabled for the channel chat; pass false otherwise.
  `long`
  `paidMessageStarCount`
  The new number of Telegram Stars that must be paid for each message that is sent to the direct messages chat unless the sender is an administrator of the channel chat; 0-getOption("paid_message_star_count_max").

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetChatDirectMessagesGroup()`
  Default constructor for a function, which changes direct messages group settings for a channel chat; requires owner privileges in the chat.
  `SetChatDirectMessagesGroup(long chatId, boolean isEnabled, long paidMessageStarCount)`
  Creates a function, which changes direct messages group settings for a channel chat; requires owner privileges in the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the channel chat.

  - ### isEnabled

    public boolean isEnabled
    Pass true if the direct messages group is enabled for the channel chat; pass false otherwise.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The new number of Telegram Stars that must be paid for each message that is sent to the direct messages chat unless the sender is an administrator of the channel chat; 0-getOption("paid_message_star_count_max"). The channel will receive getOption("paid_message_earnings_per_mille") Telegram Stars for each 1000 Telegram Stars paid for message sending. Requires supergroupFullInfo.canEnablePaidMessages for positive amounts.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetChatDirectMessagesGroup

    public SetChatDirectMessagesGroup()
    Default constructor for a function, which changes direct messages group settings for a channel chat; requires owner privileges in the chat.

    Returns `Ok`

  - ### SetChatDirectMessagesGroup

    public SetChatDirectMessagesGroup(long chatId, boolean isEnabled, long paidMessageStarCount)
    Creates a function, which changes direct messages group settings for a channel chat; requires owner privileges in the chat.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the channel chat.
      `isEnabled` - Pass true if the direct messages group is enabled for the channel chat; pass false otherwise.
      `paidMessageStarCount` - The new number of Telegram Stars that must be paid for each message that is sent to the direct messages chat unless the sender is an administrator of the channel chat; 0-getOption("paid_message_star_count_max"). The channel will receive getOption("paid_message_earnings_per_mille") Telegram Stars for each 1000 Telegram Stars paid for message sending. Requires supergroupFullInfo.canEnablePaidMessages for positive amounts.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR